/* mrffile - a pnmfile-like thing for mrfs
 * public domain by RJM
 */

#include <stdio.h>
#include <string.h>


/* returns 1 if failed else 0 (as this will be exit() value) */

int mrffile(char *fname,FILE *in)
{
unsigned char buf[13];
int w,h;

fread(buf,1,13,in);
if(strncmp(buf,"MRF1",4)!=0)
  {
  fprintf(stderr,"mrffile: bad magic number - not an mrf.\n");
  return(1);
  }

w=((buf[4]<<24)|(buf[5]<<16)|(buf[6]<<8)|buf[7]);
h=((buf[8]<<24)|(buf[9]<<16)|(buf[10]<<8)|buf[11]);
printf("%s:\t%d by %d\n",fname,w,h);
return(0);
}


int main(int argc,char *argv[])
{
FILE *in;
int f,ret=0;

if(argc==1)
  ret=mrffile("stdin",stdin);
else
  for(f=1;f<argc;f++)
    {
    if((in=fopen(argv[f],"rb"))==NULL)
      fprintf(stderr,"mrffile: couldn't open `%s'.\n",argv[f]);
    else
      {
      ret=mrffile(argv[f],in);
      fclose(in);
      }
    }

exit(ret);
}
